import { OnInit, NgZone, OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
import { RestService } from '../../../services/rest.service';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { Router } from '@angular/router';
import { StorageServiceService } from '../../../services/storage.service';
import { AddressDetails } from '../../styles/user.modal';
import { EventsService } from '../../../services/events.service';
import BaseSection from '../../../sections/BaseSection';
import { MatBottomSheet } from '@angular/material/bottom-sheet';
import { MatSnackBar } from '@angular/material/snack-bar';
import * as i0 from "@angular/core";
export declare class AddressComponent extends BaseSection implements OnInit, OnChanges {
    private readonly ngZone;
    private readonly restService;
    private readonly matDialog;
    private readonly matBottomsheet;
    private readonly router;
    private readonly storageService;
    private readonly _eventService;
    private snackBar;
    matData: any;
    matDialogRef: MatDialogRef<AddressComponent>;
    responseData: any;
    data: any;
    index?: number;
    customClass?: string;
    edit?: boolean;
    delete?: boolean;
    addressList: any;
    selectedAddressIdx: number;
    styles: any;
    selectedAddress: EventEmitter<number>;
    constructor(ngZone: NgZone, restService: RestService, matDialog: MatDialog, matBottomsheet: MatBottomSheet, router: Router, storageService: StorageServiceService, _eventService: EventsService, snackBar: MatSnackBar, matData: any, matDialogRef: MatDialogRef<AddressComponent>);
    address: AddressDetails;
    isCart: boolean;
    editIndex: number;
    private latitute;
    private longitute;
    addNewAddress: boolean;
    isLoading: boolean;
    mapCenter: google.maps.LatLngLiteral;
    markerPosition: google.maps.LatLngLiteral;
    markerOptions: google.maps.MarkerOptions;
    private geocoder;
    addessType: {
        key: string;
        status: boolean;
    }[];
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    checkAddressType(address: {
        key: string;
        status: boolean;
    }): void;
    close(): void;
    getCurrentLocation(): void;
    getAddress(): void;
    onLocationSelected(location: any): void;
    onAutocompleteSelected(result: any): void;
    addressSelected(index: number): void;
    goToProfile(): void;
    updateAddress(): void;
    validateMobile(event: KeyboardEvent): void;
    validateName(event: KeyboardEvent): void;
    validatePincode(): boolean;
    editSection(): void;
    get isEmailValid(): boolean;
    get isMobile(): boolean;
    setAddress(key: any): void;
    debounceTimer: any;
    validateForm(fieldType: string): void;
    validater(fieldType: any): void;
    validateObject: any;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddressComponent, [null, null, null, null, null, null, null, null, { optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddressComponent, "simpo-address", never, { "responseData": { "alias": "responseData"; "required": false; }; "data": { "alias": "data"; "required": false; }; "index": { "alias": "index"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "isCart": { "alias": "isCart"; "required": false; }; }, { "selectedAddress": "selectedAddress"; }, never, never, true, never>;
}
